Bug 202399 - graphics/darktable: build problem
Summary: graphics/darktable: build problem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Jean-Sébastien Pédron
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-17 22:00 UTC by Ivan
Modified: 2015-08-26 17:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (dumbbell)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2015-08-17 22:00:54 UTC
I have a problem to build darktable on FreeBSD 10.2.

CMake Error at data/cmake_install.cmake:76 (file):
  file INSTALL cannot find
  "/var/ports/usr/ports/graphics/darktable/work/.build/data/darktable.desktop".
Call Stack (most recent call first):
  cmake_install.cmake:34 (include)

Suspicious ninja warnings:

ninja: warning: multiple rules generate data/darktable.desktop. builds involving this target will not be correct; continuing anyway [-w dupbuild=warn]
ninja: warning: multiple rules generate data/darktablerc. builds involving this target will not be correct; continuing anyway [-w dupbuild=warn]
ninja: warning: multiple rules generate doc/darktablerc.html. builds involving this target will not be correct; continuing anyway [-w dupbuild=warn]

My make.conf

WRKDIRPREFIX=/var/ports
DISTDIR=/var/ports/distfiles

Errors are very confusing - they looks serious enough to attention another users, but I found no such reports. Make it's something with my system, but I can't figured what.
Comment 1 Ivan 2015-08-18 20:20:44 UTC
I was able to build darktable with ninja 1.5.3
Comment 2 Jean-Sébastien Pédron freebsd_committer 2015-08-25 18:48:33 UTC
Hello Ivan!

I added a patch to D3247:
https://reviews.freebsd.org/D3247

It builds successfully for me with Ninja 1.6.0 from ports, even though, Ninja was reverted to 1.5.3 in the mean time.

I'm now waiting for the approval to commit.
Comment 3 commit-hook freebsd_committer 2015-08-26 17:04:31 UTC
A commit references this bug:

Author: dumbbell
Date: Wed Aug 26 17:04:13 UTC 2015
New revision: 395382
URL: https://svnweb.freebsd.org/changeset/ports/395382

Log:
  graphics/darktable: Add patches to fix build with Ninja 1.6.0

  PR:		202399
  Reviewed by:	bapt, kwm
  Approved by:	bapt
  Differential Revision:	https://reviews.freebsd.org/D3247

Changes:
  head/graphics/darktable/files/patch-data_CMakeLists.txt
  head/graphics/darktable/files/patch-doc_CMakeLists.txt